#!/bin/bash
#
# Compile GNU Servlet Java classes using GCJ
#
# Created:  2004-10-19
# Issued:   2004-10-19
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

echo ""
echo "Cleaning build directory..."

rm -rf $mk_build/servlet

echo ""
echo "Preparing build directory..."

mkdir -p $mk_build/servlet

echo ""
echo "Compiling the GNU Servlet API..."

gcj -C -d $mk_build/servlet $mk_home/lib-src/servlet/javax/servlet/*.java $mk_home/lib-src/servlet/javax/servlet/**/*.java $mk_home/lib-src/servlet/javax/servlet/jsp/**/*.java

echo ""
echo "GNU Servlet API compiled to $mk_build/servlet"
