#!/bin/bash
#
# Compile Sesame using GCJ
#
# Created:  2004-12-08
# Issued:   2004-12-08
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

echo ""
echo "Cleaning build directory..."

rm -rf $mk_build/sesame

echo ""
echo "Preparing build directory..."

mkdir -p $mk_build/sesame

echo ""
echo "Compiling Sesame..."

$mk_bin/util/source-list.sh $mk_home/lib-src/sesame sesame

gcj --encoding=ISO-8859-1 -classpath $mk_home/lib-opt/soap.jar:$mk_home/lib-opt/commons-fileupload-1.0.jar:$mk_home/lib/gnu-servlet.jar:$mk_home/lib/gnu-jaxp.jar -C -d $mk_build/sesame @$mk_bin/util/sesame-src.txt

echo ""
echo "Sesame compiled to $mk_build/sesame"
