#!/bin/bash
#
# Generate a JAR archive of GNU Servlet API using fastjar
#
# Created:  2004-10-19
# Issued:   2004-10-19
# Modified: 2005-10-13
#
###########################################################

mk_bin=`dirname $0`

# echo ""
# echo "Script directory = $mk_bin"

$mk_bin/test-environment.sh

# Compile the source
$mk_home/bin/compile-servlet.sh

# Change to base directory to root the archive correctly
cd $mk_build/servlet

# Call GCJ fastjar on the current directory
jar cvf $mk_home/lib/gnu-servlet.jar .

echo ""
echo "GNU Servlet API archived to $mk_home/lib/gnu-servlet.jar"
