#!/bin/bash
#
# Test the MKSearch build environment is configured
#
# Created:  2004-11-12
# Issued:   2004-11-12
# Modified: 2005-03-24
#
###########################################################

if [ -z "$mk_home" ] || [ -z "$mk_build" ]
  then

    echo ""

    if [ -z "$mk_home" ]
      then

        echo "Error: The environment variable mk_home is not set."
    fi

    if [ -z "$mk_build" ]
      then

        echo "Error: The environment variable mk_build is not set."
    fi

    echo ""
    echo "       Please follow the instructions in the README.txt "
    echo "       file about setting environment variables for this "
    echo "       project."
    echo ""
    echo "       The README.txt file is in the same directory as "
    echo "       this script, the /bin directory under your "
    echo "       MKSearch installation."

    exit 1

  else

# Run silent if all OK
#    echo "Environment configured as necessary."

    exit 0

fi
